
Redmine - Defect #5463

Update INSTALL and UPGRADE documentation in the repository

2010-05-07 04:54 - Phillip  Lahman

Status: Closed Start date: 2010-05-07

Priority: Low Due date:  

Assignee: Eric Davis % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version: 0.9.4

Description

doc/INSTALL and doc/UPGRADE specify "rake config/initializers/session_store.rb".   I can not find a "session_store.rb".

History

#1 - 2010-05-09 12:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This rake task creates this file. Run the specified command and it will be created.

#2 - 2010-05-09 14:34 - Phillip  Lahman

- Status changed from Closed to Reopened

Jean-Philippe,

My apology for not being a more extensive/accurate with this bug report.  Yes, I agree the instructions in the wiki are correct, in that they specify the

rake command to create the session_store.rb file.   However, it appears to me the INSTALL file in the distribution does not match the installation

instructions in the wiki.  Is it your expectation, the INSTALL file should be accurate for the version that is being installed?   Perhaps the complaint

should have been about the missing rake command to create session_store.rb.   Is there a way for the packaging process to "pull/include or provide a

link to" the wiki content and/or the file that has correct/complete instructions?   I used the tar.gz file for installation.

Regards: Phillip Lahman

#3 - 2010-06-19 02:40 - Eric Davis

- Category set to Documentation

#4 - 2010-07-13 00:05 - Holger Just

- Status changed from Reopened to Closed

The INSTALL file does match the wiki here. Closing for being obsolete.

#5 - 2010-07-14 22:08 - Mischa The Evil

- Status changed from Closed to Reopened

- Assignee set to Mischa The Evil

- Priority changed from Normal to Low

- Target version set to 1.0.0 (RC)

- Resolution deleted (Invalid)

Holger Just wrote:

The INSTALL file does match the wiki here. Closing for being obsolete.

 I agree that that it is obsolete in the light of the Wiki here at redmine.org. Though, I think indeed that that the mentioned and packaged INSTALL file

should be updated or rewritten completely before Redmine 1.0.0 (RC).

(In this sense I think we need to define the context of the Documentation-category better... Or maybe even split it up into two categories: 

Documentation (Online) and Documentation (Packaged)?? What do you think?)
I've reopened and assigned this issue to myself since I should have some spare time left this week and will see what I can do to get this done before

release of 1.0.0 (RC)... I'll then leave a patch for checkin to trunk by someone with commit-permissions.

#6 - 2010-07-16 05:19 - Eric Davis

Mischa The Evil wrote:

I've reopened and assigned this issue to myself since I should have some spare time left this week and will see what I can do to get this done

before release of 1.0.0 (RC)... I'll then leave a patch for checkin to trunk by someone with commit-permissions.

 Can you get this ready tomorrow (Friday)?  I'm packaging up 1.0 this weekend.

#7 - 2010-07-18 00:30 - Mischa The Evil

Mischa The Evil wrote:

Holger Just wrote:

The INSTALL file does match the wiki here. Closing for being obsolete.

 I agree that that it is obsolete in the light of the Wiki here at redmine.org. Though, [...]

 Holger, now I see what you mean. Eric fixed this indeed already in r3814 which is included starting from Redmine 0.9.5.

Mischa The Evil wrote:

[...] Though, I think indeed that that the mentioned and packaged INSTALL file should be updated or rewritten completely before Redmine 1.0.0

(RC).

[...]

I've reopened and assigned this issue to [...] get this done before release of 1.0.0 (RC). I'll then leave a patch for checkin to trunk by someone

with commit-permissions.

 See the following: "Issue #5463note-8.

#8 - 2010-07-18 00:33 - Mischa The Evil

- File doc_update_for_0.9.x_and_1.0.x-r3847.patch added

- Status changed from Reopened to Resolved

- Assignee changed from Mischa The Evil to Eric Davis

- % Done changed from 0 to 100

- Resolution set to Fixed

Eric Davis wrote:

Mischa The Evil wrote:

[...]

 Can you get this ready tomorrow (Friday)?  I'm packaging up 1.0 this weekend.

 A bit later than requested, but here it is: doc_update_for_0.9.x_and_1.0.x-r3847.patch. Though, after looking at r3814 I noticed that there wasn't much

work left to do to close this issue as Holger did correctly previously...

I ended up updating, equalizing between the wiki and the packaged files and "beautifying" both of the files. I also did some (imho) slight

improvements.

I've made sure that this iteration of both of the files is compatible with both Redmine 0.9.x and upcoming Redmine 1.0.x, to ensure that this patch

could easily be backported to both the 0.9-Stable and 1.0-Stable branches.

 

Kind regards,

Mischa.

#9 - 2010-07-18 17:19 - Eric Davis
- Subject changed from 0.9.4 INSTALL and/or UPGRADE, missing session_store.rb to Update INSTALL and UPGRADE documentation in the

repository

Thanks Mischa, I've updated the docs in r3848.

#10 - 2010-07-18 17:53 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable.

Files

doc_update_for_0.9.x_and_1.0.x-r3847.patch 6.94 KB 2010-07-17 Mischa The Evil
